<footer class="relative bg-gray-900 text-white py-16">
  <div class="container mx-auto grid grid-cols-1 md:grid-cols-4 gap-8">
    <!-- About Section -->
    <div>
      <h3 class="text-xl font-semibold mb-4">About Us</h3>
      <p class="text-gray-400">We provide innovative technology solutions to empower forex brokers and financial institutions globally.</p>
    </div>

    <!-- Services Section -->
    <div>
      <h3 class="text-xl font-semibold mb-4">Our Services</h3>
      <ul>
        <li><a href="#" class="text-gray-400 hover:text-white transition-all">Trading Platform</a></li>
        <li><a href="#" class="text-gray-400 hover:text-white transition-all">Broker Solutions</a></li>
        <li><a href="#" class="text-gray-400 hover:text-white transition-all">Risk Management</a></li>
        <li><a href="#" class="text-gray-400 hover:text-white transition-all">Market Insights</a></li>
      </ul>
    </div>

    <!-- Contact Section -->
    <div>
      <h3 class="text-xl font-semibold mb-4">Contact Us</h3>
      <p class="text-gray-400">Email: support@forexpartner.com</p>
      <p class="text-gray-400">Phone: +1 (123) 456-7890</p>
    </div>

    <!-- Newsletter Section -->
    <div>
      <h3 class="text-xl font-semibold mb-4">Stay Updated</h3>
      <form class="flex space-x-2">
        <input type="email" placeholder="Your Email" class="p-3 rounded-lg bg-gray-800 border-none text-white placeholder-gray-500 focus:outline-none">
        <button class="bg-blue-600 text-white p-3 rounded-lg hover:bg-blue-700 transition-transform transform hover:scale-105">Subscribe</button>
      </form>
    </div>
  </div>

  <!-- Copyright -->
  <div class="mt-12 text-center text-gray-500">
    <p>&copy; 2025 Forex Partner. All rights reserved.</p>
  </div>
</footer>

<style>
  footer a:hover {
    transition: color 0.3s, transform 0.3s;
  }

  input[type="email"] {
    transition: box-shadow 0.3s ease-in-out;
  }

  input[type="email"]:focus {
    box-shadow: 0 0 10px rgba(0, 123, 255, 0.6);
  }
</style>
